-- -*- lua -*-
-- Date        : 2019-10-31
-- Author      : Maxime KERMARQUER
--
-- Last update : 2022-12-19  -- Added perl dependency
--
--

-- Module description
whatis([[Name : STAR-Fusion]])
whatis([[Version : 1.8.1]])
whatis([[Short description : STAR-Fusion is a component of the Trinity Cancer Transcriptome Analysis Toolkit (CTAT). STAR-Fusion uses the STAR aligner to identify candidate fusion transcripts supported by Illumina reads. STAR-Fusion further processes the output generated by the STAR aligner to map junction reads and spanning reads to a reference annotation set.]])
help([[https://github.com/STAR-Fusion/STAR-Fusion]])

depends_on("perl/5.26.2-lc5lzoi")
depends_on("samtools/0.1.9")
depends_on("STAR/2.7.3a")

-- Set up environment variables
prepend_path("PATH", "/network/lustre/iss01/apps/software/scit/STAR-Fusion/1.8.1", ":")

